Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.0.0

Bug #17776 Uses deprecated functions ereg() and ereg_replace()
Submitted: 2010-08-21 16:01 UTC
From: janisto Assigned: janisto
Status: Closed Package: Validate_FI (version SVN)
PHP Version: 5.3.3 OS: Windows 7
Roadmaps: (Not assigned)    
Subscription  
Comments Add Comment Add patch


Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know! Just going to say 'Me too!'? Don't clutter the database with that please !
Your email address:
MUST BE VALID
Solve the problem : 17 - 4 = ?

 
 [2010-08-21 16:01 UTC] janisto (Jani Mikkonen)
Description: ------------ Validate/FI.php uses ereg() and ereg_replace(), which are deprecated since PHP 5.3.0 http://fi.php.net/manual/en/function.ereg.php http://fi.php.net/manual/en/function.ereg-replace.php Expected result: ---------------- Valid Valid Valid Actual result: -------------- Deprecated: Function ereg() is deprecated in C:\xampp\php\PEAR\Validate\FI.php on line 530 Valid Deprecated: Function ereg_replace() is deprecated in C:\xampp\php\PEAR\Validate\FI.php on line 579 Valid Deprecated: Function ereg_replace() is deprecated in C:\xampp\php\PEAR\Validate\FI.php on line 644 Valid

Comments

 [2010-08-21 16:01 UTC] janisto (Jani Mikkonen)
-Assigned To: +Assigned To: janisto
 [2010-08-21 17:54 UTC] janisto (Jani Mikkonen)
-Status: Assigned +Status: Closed
Thank you for your bug report. This issue has been fixed in the latest released version of the package, which you can download at http://pear.php.net/get/ Fixed in 1.0.0 (stable)